# Newly Profiled Companies API Introduction

In addition to the Company Data API, Craft offers a Newly Profiled Companies API. This API allows you to query for new companies that were activated for a specific time period.

The time period should be less than 30 days.

`query` is a required `activatedAtTimeFrame` variable. An example would be:

```graphql
query {
  addedCompanies(activatedAtTimeFrame: { from: "2020-07-03", to: "2020-07-07" }) {
    nodes {
      activatedAt
      displayName
      duns
      homepage
      id
      slug
    }
    totalCount
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.craft.co/added-companies-api/added-companies-api-introduction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
